TokenType (RabbIT/4)
Date: 2009-10-13

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## rabbit.html
Enum TokenType

    java.lang.Object
      java.lang.Enum<TokenType>
          rabbit.html.TokenType

All Implemented Interfaces:
  Serializable, Comparable<TokenType>

    public enum TokenType

extends Enum<TokenType>

The different types of tokens.

Author:
  Robert Olofsson

Enum Constant Summary
`COMMENT` This token is a comment.
`EMPTY` This token is empty
`SCRIPT` This token is a script
`TAG` This token is a tag.
`TEXT` This token is text.

Method Summary
`static TokenType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TokenType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EMPTY

    public static final TokenType EMPTY

  This token is empty

### TEXT

    public static final TokenType TEXT

  This token is text.

### TAG

    public static final TokenType TAG

  This token is a tag.

### COMMENT

    public static final TokenType COMMENT

  This token is a comment.

### SCRIPT

    public static final TokenType SCRIPT

  This token is a script

Method Detail

### values

    public static TokenType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TokenType c : TokenType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TokenType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD